import Cerca from '@cerca-dev/sdk';const client = new Cerca({ apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted});const attachedConnection = await client.connections.attach('agent_abc123', { connectionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',});console.log(attachedConnection);
import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
attached_connection = client.connections.attach(
agent_id="agent_abc123",
connection_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(attached_connection)
require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
attached_connection = cerca.connections.attach("agent_abc123", connection_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(attached_connection)
cerca connections attach \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--connection-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
import Cerca from '@cerca-dev/sdk';const client = new Cerca({ apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted});const attachedConnection = await client.connections.attach('agent_abc123', { connectionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',});console.log(attachedConnection);
import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
attached_connection = client.connections.attach(
agent_id="agent_abc123",
connection_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(attached_connection)
require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
attached_connection = cerca.connections.attach("agent_abc123", connection_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(attached_connection)
cerca connections attach \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--connection-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cerca","description":"Build long-running agents on Cloudflare Workers with durable execution, custom tools, approvals, memory, and a cloud sandbox.","colors":{"primary":"#7C6340","light":"#E8E0D2","dark":"#7C6340"},"logo":{"light":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/light.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=3a952f50a305b017db4af3b52443e78d","dark":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/dark.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=f30eef939f273f15687674dc8671f91a","href":"https://docs.cerca.dev"},"favicon":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/favicon.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=5c0a8c9a4b99f21be8bf0fa07e2d420e","background":{"color":{"light":"#FFFDF8","dark":"#141008"}},"navbar":{"links":[{"href":"https://app.cerca.dev/sign-in","label":"Sign in"}],"primary":{"type":"button","label":"Get an API key","href":"https://app.cerca.dev/settings"}},"footer":{"socials":{"github":"https://github.com/matrices"}},"seo":{"indexing":"navigable"},"icons":{"library":"lucide"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Changelog","icon":"list","href":"/changelog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cerca","hasAudioNarration":false,"actualSubdomain":"cerca","customDomains":["docs.cerca.dev"],"gitSource":{"type":"github","owner":"matrices","repo":"cell","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21ddd929c7042dd5f5fa13","collectionId":"ba226a70-e5d2-440b-8ce9-16ef02e5ae18","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a303907bbaa514ac1c6776e:failure","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":66},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Threads","count":10},{"language":"default","tag":"Concepts","count":9},{"language":"default","tag":"Core concepts","count":9},{"language":"default","tag":"Agents","count":7},{"language":"default","tag":"Events","count":7},{"language":"default","tag":"Webhooks","count":7},{"language":"default","tag":"Approvals","count":6},{"language":"default","tag":"Connections","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/connections/attach-connection","slug":"/api-reference/connections/attach-connection","pageMetadata":{"title":"Attach connection","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/connections","href":"/api-reference/connections/attach-connection","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Attach connection","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/connections","href":"/api-reference/connections/attach-connection","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"security":["c9b309e9-e505-4a4c-978e-cc28be054151"],"summary":"Attach connection","tags":["Connections"],"parameters":["a4b4b71c-6d4d-4f1e-84c9-d0e2ea0ebaf0"],"requestBody":"5dfb0a4c-6ea6-46ed-96a6-9becdc6a4943","responses":{"201":"3ccda1b5-b922-4b46-a8b4-8fbdd1ac97d9","400":"95283055-a741-4e16-ab2d-073822e4c495","401":"2436c3db-a2a1-4995-92df-9cb36b3a18ef","403":"26f3e617-2ebd-469f-a551-ca7767f90804","404":"097a8405-8dfc-4823-9b91-aeb18abc44af","429":"c6a4f762-336c-4057-9a5b-f2ff22032f9c","503":"738095c4-1fd1-4fbb-bcd5-f3d3da166474","default":"73d955c8-0ede-4824-8b28-95602264fc00"},"x-codeSamples":[{"lang":"JavaScript","source":"import Cerca from '@cerca-dev/sdk';\n\nconst client = new Cerca({\n apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted\n});\n\nconst attachedConnection = await client.connections.attach('agent_abc123', {\n connectionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n});\n\nconsole.log(attachedConnection);"},{"lang":"Python","source":"import os\nfrom cerca import Cerca\n\nclient = Cerca(\n api_key=os.environ.get(\"CERCA_API_KEY\"), # This is the default and can be omitted\n)\nattached_connection = client.connections.attach(\n agent_id=\"agent_abc123\",\n connection_id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n)\nprint(attached_connection)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tattachedConnection, err := client.Connections.Attach(\n\t\tcontext.TODO(),\n\t\t\"agent_abc123\",\n\t\tcercago.ConnectionAttachParams{\n\t\t\tConnectionID: cercago.F(\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\"),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", attachedConnection)\n}\n"},{"lang":"Ruby","source":"require \"cerca\"\n\ncerca = Cerca::Client.new(api_key: \"My API Key\")\n\nattached_connection = cerca.connections.attach(\"agent_abc123\", connection_id: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\nputs(attached_connection)"},{"lang":"CLI","source":"cerca connections attach \\\n --api-key 'My API Key' \\\n --agent-id agent_abc123 \\\n --connection-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"}],"method":"post","type":"path","servers":["d2b2aefa-8204-4fa4-b0ac-351a68bfe8fe"],"path":"/agents/{agentId}/connections","baseUrlOptions":["https://api.cerca.dev"],"title":"Attach connection","description":"","codeSamples":[{"lang":"JavaScript","source":"import Cerca from '@cerca-dev/sdk';\n\nconst client = new Cerca({\n apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted\n});\n\nconst attachedConnection = await client.connections.attach('agent_abc123', {\n connectionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n});\n\nconsole.log(attachedConnection);"},{"lang":"Python","source":"import os\nfrom cerca import Cerca\n\nclient = Cerca(\n api_key=os.environ.get(\"CERCA_API_KEY\"), # This is the default and can be omitted\n)\nattached_connection = client.connections.attach(\n agent_id=\"agent_abc123\",\n connection_id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n)\nprint(attached_connection)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tattachedConnection, err := client.Connections.Attach(\n\t\tcontext.TODO(),\n\t\t\"agent_abc123\",\n\t\tcercago.ConnectionAttachParams{\n\t\t\tConnectionID: cercago.F(\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\"),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", attachedConnection)\n}\n"},{"lang":"Ruby","source":"require \"cerca\"\n\ncerca = Cerca::Client.new(api_key: \"My API Key\")\n\nattached_connection = cerca.connections.attach(\"agent_abc123\", connection_id: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\nputs(attached_connection)"},{"lang":"CLI","source":"cerca connections attach \\\n --api-key 'My API Key' \\\n --agent-id agent_abc123 \\\n --connection-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"a4b4b71c-6d4d-4f1e-84c9-d0e2ea0ebaf0":{"schema":{"type":"string","minLength":1,"example":"agent_abc123","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"in":"path","name":"agentId"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"connectionId":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"connectionId","typeLabel":"string\u003cuuid>"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"metadata.additionalProperties","typeLabel":"string"},"uniqueKey":"metadata","typeLabel":"object"}},"required":["connectionId"],"additionalProperties":{"oneOf":[{"x-stainless-any":true}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"connectionId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","metadata":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"3ccda1b5-b922-4b46-a8b4-8fbdd1ac97d9":{"description":"Connection attached.","content":{"application/json":{"schema":{"type":"object","required":["attachedAt","accountLabel","createdAt","id","owner","provider","scopes","type","updatedAt"],"properties":{"accountLabel":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"accountLabel.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"accountLabel.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"accountLabel","typeLabel":"string | null"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"owner":{"oneOf":[{"type":"object","title":"OrganizationConnectionOwner","description":"Public owner for a reusable connection. Organization owners use the authenticated organization; fleet owners add a fleetId.","required":["type"],"x-stainless-variantName":"OrganizationConnectionOwner","properties":{"type":{"type":"string","enum":["organization"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"owner.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"owner.oneOf.0","typeLabel":"OrganizationConnectionOwner · object"},{"type":"object","title":"FleetConnectionOwner","description":"Public owner for a reusable connection. Organization owners use the authenticated organization; fleet owners add a fleetId.","required":["fleetId","type"],"x-stainless-variantName":"FleetConnectionOwner","properties":{"fleetId":{"type":"string","example":"fleet_abc123","isRequired":true,"uniqueKey":"owner.oneOf.1.fleetId","typeLabel":"string"},"type":{"type":"string","enum":["fleet"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"owner.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"owner.oneOf.1","typeLabel":"FleetConnectionOwner · object"}],"isRequired":true,"uniqueKey":"owner","typeLabel":"OrganizationConnectionOwner · object | FleetConnectionOwner · object"},"provider":{"type":"string","enum":["google","github","slack","linear","notion","custom","webhook"],"isRequired":true,"uniqueKey":"provider","typeLabel":"enum\u003cstring>"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"scopes.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"scopes","typeLabel":"string[]"},"type":{"type":"string","enum":["oauth","api_key"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"attachedAt":{"type":"string","isRequired":true,"uniqueKey":"attachedAt","typeLabel":"string"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"metadata.additionalProperties","typeLabel":"string"},"uniqueKey":"metadata","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"accountLabel":"\u003cstring>","createdAt":"\u003cstring>","id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","owner":{"type":"organization"},"provider":"google","scopes":["\u003cstring>"],"type":"oauth","updatedAt":"\u003cstring>","attachedAt":"\u003cstring>","metadata":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"95283055-a741-4e16-ab2d-073822e4c495":{"description":"Invalid runtime request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"2436c3db-a2a1-4995-92df-9cb36b3a18ef":{"description":"Authentication required.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"26f3e617-2ebd-469f-a551-ca7767f90804":{"description":"Access denied or non-transient quota exceeded. Limit errors include a stable code field.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"097a8405-8dfc-4823-9b91-aeb18abc44af":{"description":"Runtime resource not found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"c6a4f762-336c-4057-9a5b-f2ff22032f9c":{"description":"Transient capacity limit exceeded. Limit errors include a stable code field.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"738095c4-1fd1-4fbb-bcd5-f3d3da166474":{"description":"Required runtime dependency unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"73d955c8-0ede-4824-8b28-95602264fc00":{"description":"Runtime error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"c9b309e9-e505-4a4c-978e-cc28be054151":{"bearerAuth":{"bearerFormat":"Cerca API key","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"d2b2aefa-8204-4fa4-b0ac-351a68bfe8fe":{"url":"https://api.cerca.dev"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"Cerca API key","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml"},"subdomain":"cerca","siteName":"Cerca","title":"Attach connection - Cerca","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-13T04:07:01.725Z","originalFileLocation":"api-reference/connections/attach-connection.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Cerca\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Attach connection - Cerca\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cerca\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cerca.dev/api-reference/connections/attach-connection\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cerca.mintlify.app/_mintlify/api/og/v2?division=Connections\u0026amp;title=Attach+connection\u0026amp;theme=fc49af25e83b722074099bcb\u0026amp;signature=f7a1ff9f99d0443cb5074b0d30460102ab69dac4fec17c2aa2fd9e30a40b95a6\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Attach connection - Cerca\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cerca.mintlify.app/_mintlify/api/og/v2?division=Connections\u0026amp;title=Attach+connection\u0026amp;theme=fc49af25e83b722074099bcb\u0026amp;signature=f7a1ff9f99d0443cb5074b0d30460102ab69dac4fec17c2aa2fd9e30a40b95a6\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cerca\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7C6340\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cerca.dev/api-reference/connections/attach-connection\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/connections/attach-connection.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cerca.dev/#organization\",\"name\":\"Cerca\",\"url\":\"https://docs.cerca.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/light.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=3a952f50a305b017db4af3b52443e78d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cerca.dev#website\",\"name\":\"Cerca\",\"url\":\"https://docs.cerca.dev\",\"publisher\":{\"@id\":\"https://docs.cerca.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cerca.dev/api-reference/connections/attach-connection#webpage\",\"url\":\"https://docs.cerca.dev/api-reference/connections/attach-connection\",\"name\":\"Attach connection\",\"dateModified\":\"2026-05-13T04:07:01.725Z\",\"isPartOf\":{\"@id\":\"https://docs.cerca.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cerca.dev/api-reference/connections/attach-connection#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cerca.dev/api-reference/connections/attach-connection#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Connections\",\"item\":\"https://docs.cerca.dev/api-reference/connections/create-api-key\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Attach connection\",\"item\":\"https://docs.cerca.dev/api-reference/connections/attach-connection\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.cerca.dev/api-reference/connections/attach-connection#apireference\",\"headline\":\"Attach connection\",\"name\":\"Attach connection\",\"url\":\"https://docs.cerca.dev/api-reference/connections/attach-connection\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cerca.dev/api-reference/connections/attach-connection#webpage\"},\"dateModified\":\"2026-05-13T04:07:01.725Z\",\"publisher\":{\"@id\":\"https://docs.cerca.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cerca.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cerca\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cerca","nav":{"global":{"anchors":[{"anchor":"Changelog","icon":"list","href":"/changelog"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"Auth","pages":[{"title":"Retrieve context","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /auth/context","href":"/api-reference/auth/retrieve-context"},{"title":"List fleets","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /auth/fleets","href":"/api-reference/auth/list-fleets"}]},{"group":"OAuth","pages":[{"title":"Start OAuth authorization","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /oauth/connect/{provider}","href":"/api-reference/oauth/start-oauth-authorization"}]},{"group":"Connections","pages":[{"title":"Create API key","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /connections/api-keys","href":"/api-reference/connections/create-api-key"},{"title":"List connections","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /connections","href":"/api-reference/connections/list-connections"},{"title":"Delete connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /connections/{connectionId}","href":"/api-reference/connections/delete-connection"},{"title":"List connections","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/connections","href":"/api-reference/connections/list-connections-1"},{"title":"Attach connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/connections","href":"/api-reference/connections/attach-connection"},{"title":"Detach connection","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/connections/{connectionId}","href":"/api-reference/connections/detach-connection"}]},{"group":"Tools","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools","href":"/api-reference/tools/list-tools"},{"title":"Create tool","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/tools","href":"/api-reference/tools/create-tool"},{"title":"Retrieve tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/retrieve-tool-source"},{"title":"Update tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/update-tool-source"},{"title":"Delete tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/delete-tool-source"},{"title":"List tools","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/tools","href":"/api-reference/tools/list-tools-1"}]},{"group":"Webhooks","pages":[{"title":"List webhooks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/webhooks","href":"/api-reference/webhooks/list-webhooks"},{"title":"Create webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks","href":"/api-reference/webhooks/create-webhook"},{"title":"Retrieve webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/retrieve-webhook"},{"title":"Update webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/update-webhook"},{"title":"Delete webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/delete-webhook"},{"title":"Rotate webhook secret","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks/{webhookId}/rotate","href":"/api-reference/webhooks/rotate-webhook-secret"},{"title":"Send test webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks/{webhookId}/test","href":"/api-reference/webhooks/send-test-webhook"}]},{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents","href":"/api-reference/agents/list-agents"},{"title":"Create agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents","href":"/api-reference/agents/create-agent"},{"title":"Retrieve agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}","href":"/api-reference/agents/retrieve-agent"},{"title":"Update agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}","href":"/api-reference/agents/update-agent"},{"title":"Delete agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}","href":"/api-reference/agents/delete-agent"},{"title":"Retrieve config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/config","href":"/api-reference/agents/retrieve-config"},{"title":"Update metadata","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml patch /agents/{agentId}/metadata","href":"/api-reference/agents/update-metadata"}]},{"group":"Context","pages":[{"title":"List context entries","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context","href":"/api-reference/context/list-context-entries"},{"title":"Retrieve context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context/entry","href":"/api-reference/context/retrieve-context-entry"},{"title":"Update context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/context/entry","href":"/api-reference/context/update-context-entry"},{"title":"Delete context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/context/entry","href":"/api-reference/context/delete-context-entry"},{"title":"Search context","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context/search","href":"/api-reference/context/search-context"}]},{"group":"Schedules","pages":[{"title":"List schedules","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/schedules","href":"/api-reference/schedules/list-schedules"},{"title":"Create schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/schedules","href":"/api-reference/schedules/create-schedule"},{"title":"Update schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/schedules/{scheduleId}","href":"/api-reference/schedules/update-schedule"},{"title":"Delete schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/schedules/{scheduleId}","href":"/api-reference/schedules/delete-schedule"},{"title":"Trigger schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/schedules/{scheduleId}/trigger","href":"/api-reference/schedules/trigger-schedule"}]},{"group":"Threads","pages":[{"title":"List threads","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads","href":"/api-reference/threads/list-threads"},{"title":"Create thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads","href":"/api-reference/threads/create-thread"},{"title":"Retrieve thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}","href":"/api-reference/threads/retrieve-thread"},{"title":"List thread messages","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/messages","href":"/api-reference/threads/list-thread-messages"},{"title":"Get thread activity","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/activity","href":"/api-reference/threads/get-thread-activity"},{"title":"Create turn","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/turns","href":"/api-reference/threads/create-turn"},{"title":"Steer thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/steer","href":"/api-reference/threads/steer-thread"},{"title":"Cancel thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/cancel","href":"/api-reference/threads/cancel-thread"},{"title":"Close thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/close","href":"/api-reference/threads/close-thread"},{"title":"Compact thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/compact","href":"/api-reference/threads/compact-thread"}]},{"group":"Approvals","pages":[{"title":"List approvals","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/approvals","href":"/api-reference/approvals/list-approvals"},{"title":"List approval grants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/approval-grants","href":"/api-reference/approvals/list-approval-grants"},{"title":"Delete approval grant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/approval-grants/{grantId}","href":"/api-reference/approvals/delete-approval-grant"},{"title":"List approval grants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/approval-grants","href":"/api-reference/approvals/list-approval-grants-1"},{"title":"Delete approval grant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/threads/{threadId}/approval-grants/{grantId}","href":"/api-reference/approvals/delete-approval-grant-1"},{"title":"Create approval","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/approvals/{approvalId}","href":"/api-reference/approvals/create-approval"}]},{"group":"Sandbox","pages":[{"title":"Execute sandbox command","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/exec","href":"/api-reference/sandbox/execute-sandbox-command"},{"title":"Write sandbox file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/write","href":"/api-reference/sandbox/write-sandbox-file"},{"title":"Read sandbox file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/read","href":"/api-reference/sandbox/read-sandbox-file"}]},{"group":"Events","pages":[{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/events","href":"/api-reference/events/list-events"},{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/events","href":"/api-reference/events/list-events-1"},{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/events","href":"/api-reference/events/list-events-2"},{"title":"Fleet event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/events/stream","href":"/api-reference/events/fleet-event-stream"},{"title":"Agent event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/events/stream","href":"/api-reference/events/agent-event-stream"},{"title":"Thread event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/events/stream","href":"/api-reference/events/thread-event-stream"},{"title":"Thread message stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/stream","href":"/api-reference/events/thread-message-stream"}]},{"group":"Models","pages":[{"title":"List models","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /models","href":"/api-reference/models/list-models"}]}]}]},"title":"Attach connection - Cerca","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}